%global debug_package   %{nil}

Name:           classification-banner
Version:        1.6.7
Release:        1%{?dist}
Summary:        Displays Classification Banner for a Graphical Session

License:        GPLv2
URL:            https://github.com/SecurityCentral/classification-banner
Source0:        https://github.com/SecurityCentral/classification-banner/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  pygtk2
BuildRequires:  pygobject2
Requires:       xorg-x11-server-utils
Requires:       pygtk2
Requires:       pygobject2

%description
Classification Banner is a python script that will display the
classification level banner of a session with a variety of
configuration options on the primary screen.  This script can
help government and possibly private customers display a 
notification that sensitive material is being displayed - for 
example PII or SECRET Material being processed in a graphical
session. The script has been tested on a variety of graphical
environments such as GNOME2, GNOME3, KDE, twm, icewm, and Cinnamon.

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build

%install
%py2_install

%{__install} -d -m755 %{buildroot}%{_datadir}
%{__install} -d -m755 %{buildroot}%{_sysconfdir}/%{name}
%{__install} -d -m755 %{buildroot}%{_sysconfdir}/xdg/autostart/

%{__install} -m644 contrib/banner.conf %{buildroot}%{_sysconfdir}/%{name}/banner.conf
%{__install} -m644 share/%{name}-screenshot.png %{buildroot}%{_datadir}/%{name}-screenshot.png
%{__install} -m644 contrib/%{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%check
%{__python2} setup.py test

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root)
%license LICENSE
%doc README.md AUTHOR Contributors.md
%{python_sitelib}/*
%config(noreplace) %{_sysconfdir}/%{name}/banner.conf
%config(noreplace) %{_sysconfdir}/xdg/autostart/classification-banner.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}-screenshot.png

%changelog
* Thu Aug 9 2018 Gabe <redhatrises@gmail.com> - 1.6.7
- First package for EPEL
